API Documentation

Get all relations

Description

Returns all relations for a task.

Request format

curl https://kanbanflow.com/api/v1/tasks/<TASK_ID>/relations

Example request

curl https://kanbanflow.com/api/v1/tasks/7HPu4D9Q/relations

Example response

[
    {
        "relationType": "requiredBy",
        "relatedTaskId": "QuAzRUx8",
        "relatedTaskName": "Send out newsletter"
    },
    {
        "relationType": "dependsOn",
        "relatedTaskId": "7HPu4D9Q",
        "relatedTaskName": "Plan exhibition",
        "relatedTaskBoardId": "s82koS"
    }
]

Response properties

PropertyTypeComment
relationTypeStringThe type of relation to the related task. Can be either Relates to (relatesTo), Depends on (dependsOn) or Required by (requiredBy).
relatedTaskIdStringThe ID of the related task.
relatedTaskNameStringThe name of the related task.
relatedTaskBoardIdStringThe ID for the board where the related task is located. Only included if the related task is not on the same board as the API token.